* BBFK example macro. Usage: m ex-bbfk.m [zero | n-s | e-w | diag]
$default 1 zero 
setbb cutew * cutns *             ;* no cuts by default
if $1$ eq diag
   setbb cutew cutim cutns cutim
endif
if $1$ eq n-s
   setbb cutns cutim
endif
if $1$ eq e-w
   setbb cutew cutim
endif
cuterr fillz                      ;* Zero exterior trace areas
setbb xo -1 yo 0                  ;* x0 and y0 are x-y offsets
do f list a b c d e f g h         ;* E-W array arm
   fg seismogram; rmean           ;* Sample data
   %cutew% (&1,b& - %xo%) (&1,e - %xo%)      ;* add or cut 1 s
   ch kuser1 &1,kstnm& user7 %xo% user8 %yo% ;* element coord.
   write /tmp/arr_r$f$.sac                   ;* write data file
   setbb xo (before . (%xo% + 1))            ;* increment X
enddo
setbb xo 0 yo -1                  ;* Reset offsets
do f list a b c d e f g h         ;* N-S array arm
   fg seismogram; rmean           ;* Sample data
   %cutns% (&1,b& - %yo%) (&1,e - %yo%)      ;* add or cut 1 s
   ch kuser1 &1,kstnm& user7 %xo% user8 %yo%
   write /tmp/arr_b$f$.sac
   setbb yo (before . (%yo% + 1))            ;* increment Y
enddo
sc rm /tmp/arr_rb.sac             ;* Repeated array element
read /tmp/arr_[r,b]*.sac          ;* Read traces
bbfk filter off wave 1 pds norm size 180 100
